# Retrieve the current balance for a reference

Endpoint to retrieve the current balance for a companies refence – also knowns as account number, or service number – based on company ID and reference.

Endpoint: GET /v2/utilities/{companyId}/{reference}
Version: 2.0.0
Security: BearerAuth

## Path parameters:

  - `companyId` (string, required)
    Example: "123456789012"

  - `reference` (string, required)
    Example: "019701209060882503020000042191"

## Response 200 fields (application/json):

  - `id` (string)
    Example: "1234567890123456789"

  - `companyName` (string)
    Example: "CFE"

  - `companyId` (string)
    Example: "123456789012"

  - `reference` (string)
    Example: "019701209060882503020000042191"

  - `accountNumber` (string)
    Example: "970120906088"

  - `amount` (string)
    Example: "36.67"

  - `currency` (string)
    Example: "MXN"

  - `due_date` (string)
    Example: "2024-04-20"

  - `metadata` (object)
    Example: {}

  - `consultedAt` (string)
    Example: "2024-04-10T19:21:13.387Z"


